#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  kColorPicker-0.3.1

- Next

  keybinder-3.0-0.3.2

- Up
- Home

# kImageAnnotator-0.7.2

## Introduction to kImageAnnotator

kImageAnnotator is a tool for annotating images.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/ksnip/kImageAnnotator/archive/v0.7.2/kImageAnnotator-0.7.2.tar.gz

- Download MD5 sum: 12811a2611613152b8dccc266a8f4804

- Download size: 268 KB

- Estimated disk space required: 32 MB

- Estimated build time: 0.5 SBU (Using parallelism=4)

### kImageAnnotator Dependencies

#### Required

kcolorpicker-0.3.1

## Installation of kImageAnnotator

Install kImageAnnotator by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_SHARED_LIBS=ON      \
          -D BUILD_WITH_QT6=ON         \
          .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libkImageAnnotator.so
Installed Directories: /usr/include/kImageAnnotator-Qt6, /usr/lib/cmake/kImageAnnotator-Qt6, and /usr/share/kImageAnnotator

- Prev

  kColorPicker-0.3.1

- Next

  keybinder-3.0-0.3.2

- Up
- Home